Basque Cyber Security Centre - Zibersegurtasun Euskal Zentroa

Kontrolatu gabeko sarbidea bideetara Sprecher Automation-en SPRECON osagaietan

Argitalpen data: 2019/04/10

Garrantzia: Txikia

Kaltetutako baliabideak:

  • SPRECON-E-C/P firmwarea, 8.52tik 8.62ra bitarteko bertsioak, PU244x hardwarearen aldaeretan.

Azalpena:

Sprecher Automation-ek path traversal erako ahultasun baten berri eman du. Kaltetutako gailuak dauden sarera sarbidea lukeen erasotzaile batek, era berean web aplikazioan autentifikatuta baldin badago, informazio sentikorra duten fitxategiak deskarga eta kontsulta litzake.

Konponbidea:

  • Eskuragarri dagoen firmwarearen azken bertsioetara eguneratzea gomendatzen da (8.52g eta 8.56f), ahultasun horiek konpontzen baitituzte.
  • Rolek kontrolatutako sarbidea (RBAC) aktibatuta badago, ezin da ahultasun hau baliatu erabiltzaile kredentzial baliagarriak izan gabe. Fabrikatzaileak aholkatzen du erabiltzaileen autentifikazioa beti izatea aktibatuta interfaze guztietan. Edozein kasutan,  sarea segmentatzea gomendatzen da, interfaze bakoitzaren interfazeak babesteko.

Xehetasuna:

  • Ahultasun hau Path Traversal erakoa da. Ahultasunak kaltetutako gailura web sarbidea lukeen erasotzaile batek fitxategietarako sarbidea lor lezake web zerbitzariaren baimenekin (www-data).

Etiketak: Eguneraketa, Ahultasuna